Commit 1f56162b authored by Wilko Manger's avatar Wilko Manger

Added clarifying comments

parent 07d7d24b
......@@ -4,6 +4,9 @@ analyzer:
errors:
missing_required_param: error
exclude:
# The exclude functionality currently does not work (see https://github.com/dart-lang/sdk/issues/25551),
# therefore the generated files are formatted and have extra linter ignore statements added using
# ./generate_intl.sh`
- lib/src/resources/intl/messages*.dart
linter:
......
......@@ -7,6 +7,9 @@ flutter pub run intl_translation:generate_from_arb \
--output-dir=lib/src/resources/intl --no-use-deferred-loading \
lib/src/resources/intl/localizations.dart lib/src/resources/intl/*.arb
# The dartanalyzer exclude functionality currently does not work (see https://github.com/dart-lang/sdk/issues/25551),
# therefore the generated files are formatted and have extra linter ignore statements added
echo '// ignore_for_file: avoid_catches_without_on_clauses,type_annotate_public_apis,lines_longer_than_80_chars' \
| tee -a lib/src/resources/intl/messages*.dart
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment